package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 健康告警处理对象 t_health_solve
 * 
 * @author zhengjie
 * @date 2023-09-09
 */
public class THealthSolve extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Integer id;

    /** uid */
    private Integer uid;

    /** aid */
    private Integer aid;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Integer userid;

    /** 设备标识ID */
    @Excel(name = "设备标识ID")
    private String deviceIdCode;

    /** 告警内容 */
    @Excel(name = "告警内容")
    private String alarmMsg;

    /** 0未处理，1已处理 */
    @Excel(name = "0未处理，1已处理")
    private Integer solve_status;

    /** 服务人员用户ID */
    @Excel(name = "服务人员用户ID")
    private Integer serviceUserid;

    /** 时间记录 */
    @Excel(name = "时间记录")
    private String msg;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 电话 */
    @Excel(name = "电话")
    private String tel_one;

    /** 机构名称 */
    @Excel(name = "机构名称")
    private String store_name;

    /** 设备型号 */
    @Excel(name = "设备型号")
    private Integer device_model;

    /** 设备ID */
    @Excel(name = "设备ID")
    private String device_id_code;

    /** 设备型号 */
    @Excel(name = "设备型号")
    private Integer alarm_type;

    /** 告警时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createtime;

    /** 告警地址 */
    @Excel(name = "告警地址")
    private String address_desc;

    /** 经度 */
    @Excel(name = "经度")
    private float gps_long;

    /** 纬度 */
    @Excel(name = "纬度")
    private float gps_lat;

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setUserid(Integer userid)
    {
        this.userid = userid;
    }

    public Integer getUserid()
    {
        return userid;
    }
    public void setDeviceIdCode(String deviceIdCode)
    {
        this.deviceIdCode = deviceIdCode;
    }

    public String getDeviceIdCode()
    {
        return deviceIdCode;
    }
    public void setAlarmMsg(String alarmMsg)
    {
        this.alarmMsg = alarmMsg;
    }

    public String getAlarmMsg()
    {
        return alarmMsg;
    }

    public Integer getSolve_status() {
        return solve_status;
    }

    public void setSolve_status(Integer solve_status) {
        this.solve_status = solve_status;
    }

    public void setServiceUserid(Integer serviceUserid)
    {
        this.serviceUserid = serviceUserid;
    }

    public Integer getServiceUserid()
    {
        return serviceUserid;
    }
    public void setMsg(String msg)
    {
        this.msg = msg;
    }

    public String getMsg()
    {
        return msg;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTel_one() {
        return tel_one;
    }

    public void setTel_one(String tel_one) {
        this.tel_one = tel_one;
    }

    public String getStore_name() {
        return store_name;
    }

    public void setStore_name(String store_name) {
        this.store_name = store_name;
    }

    public Integer getDevice_model() {
        return device_model;
    }

    public void setDevice_model(Integer device_model) {
        this.device_model = device_model;
    }

    public String getDevice_id_code() {
        return device_id_code;
    }

    public void setDevice_id_code(String device_id_code) {
        this.device_id_code = device_id_code;
    }

    public Integer getAlarm_type() {
        return alarm_type;
    }

    public void setAlarm_type(Integer alarm_type) {
        this.alarm_type = alarm_type;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getAddress_desc() {
        return address_desc;
    }

    public void setAddress_desc(String address_desc) {
        this.address_desc = address_desc;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public Integer getAid() {
        return aid;
    }

    public void setAid(Integer aid) {
        this.aid = aid;
    }

    public float getGps_long() {
        return gps_long;
    }

    public void setGps_long(float gps_long) {
        this.gps_long = gps_long;
    }

    public float getGps_lat() {
        return gps_lat;
    }

    public void setGps_lat(float gps_lat) {
        this.gps_lat = gps_lat;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("uid", getUid())
                .append("aid", getAid())
                .append("userid", getUserid())
                .append("deviceIdCode", getDeviceIdCode())
                .append("alarmMsg", getAlarmMsg())
                .append("solve_status", getSolve_status())
                .append("serviceUserid", getServiceUserid())
                .append("msg", getMsg())
                .append("createtime", getCreatetime())
                .append("store_name", getStore_name())
                .append("name", getName())
                .append("tel_one", getTel_one())
                .append("device_model", getDevice_model())
                .append("device_id_code", getDeviceIdCode())
                .append("alarm_type", getAlarm_type())
                .append("address_desc", getAddress_desc())
                .append("gps_long", getGps_long())
                .append("gps_lat", getGps_lat())
                .toString();
    }
}
